/// <reference types="react" />
import { Observable } from "rxjs";
export declare enum WidgetState {
    LOADING = 0,
    ERROR = 1,
    DONE = 2
}
export declare type Filter = {
    dim: string;
    members: string[];
};
export declare type SisenseHookInput = {
    dashboardId: string;
    widgetTitle: string;
    widgetId?: string;
    filtersObservable: Observable<Filter[]>;
};
export declare function useSisense(input: SisenseHookInput): {
    widgetRef: import("react").MutableRefObject<HTMLDivElement>;
    state: WidgetState;
    sisense: Sisense;
    errorMessage: string;
};
